Bug 1262002 - Openstack Infrastructure provider shows <Unknown> Credentials in the Status box when AMQP credentials are provided
Openstack Infrastructure provider shows <Unknown> Credentials in the Status b...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Milan Zázrivec
Taras Lehinevych
: ZStream
Depends On:
Blocks: 1264118
  Show dependency treegraph
 
Reported: 2015-09-10 10:58 EDT by Marius Cornea
Modified: 2016-08-02 21:33 EDT (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1264118 (view as bug list)
Environment:
Last Closed: 2015-12-08 08:30:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
amqp error (106.46 KB, image/png)
2015-09-10 10:58 EDT, Marius Cornea
no flags Details

  None (edit)
Description Marius Cornea 2015-09-10 10:58:13 EDT
Created attachment 1072239 [details]
amqp error

Description of problem:
Openstack Infrastructure provider shows <Unknown> Credentials in the Status box when AMQP credentials are provided

Version-Release number of selected component (if applicable):
5.4.2.0.20150820153254_83e434d

How reproducible:
100%

Steps to Reproduce:
1. Go to Infrastructure -> Providers 
2. Click on an Openstack Infra provider 
3.

Actual results:
The Status box shows <Unknown> Credentials

Expected results:
It show AMQP Credentials.

Additional info:
Attaching screenshot
Comment 2 Milan Zázrivec 2015-09-14 10:12:53 EDT
https://github.com/ManageIQ/manageiq/pull/4337
Comment 4 CFME Bot 2015-09-23 17:51:22 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/37a309ea8ef4c29b84d4fae06858f3546a76da13

commit 37a309ea8ef4c29b84d4fae06858f3546a76da13
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Mon Sep 14 16:11:25 2015 +0200
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Mon Sep 21 15:57:34 2015 +0200

    Add AMQP as a valid authentication type to provider's textual summary
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1262002

 app/helpers/ems_infra_helper/textual_summary.rb |  1 +
 spec/views/ems_infra/show.html.haml_spec.rb     | 31 +++++++++++++++++++++++++
 2 files changed, 32 insertions(+)
 create mode 100644 spec/views/ems_infra/show.html.haml_spec.rb
Comment 5 Taras Lehinevych 2015-10-30 09:08:19 EDT
Verified fixed in version 5.5.0.8

Added the Openstack Infrastructure provider with AMQP credentials and checked the Status.
Comment 7 errata-xmlrpc 2015-12-08 08:30:01 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.